[分享]将一个图层上所有的对象另存为另一个图形
Wblock a layer into a new DWG named by the original DWG and layer name.
Code Sample Public Function WBlockLay(strLayerName As String) 'For more than one LayerName in strLayName 'strLayName = "LayName1,Layname2,LayName3" Dim objlayer As AcadLayer Dim objSelSet As AcadSelectionSet Dim intType(0) As Integer Dim varData(0) As Variant Dim BlockedDWG As String On Error GoTo errControl
Set objSelSet = ThisDrawing.SelectionSets.Add("WBLOCKSET")
intType(0) = 8 varData(0) = strLayerName objSelSet.Select acSelectionSetAll, filtertype:=intType, filterdata:=varData 'You Need to add a backslash BlockedDWG = ThisDrawing.Path & |